Subject: Re: [netatalk-admins] dsi_getsess: Interrupted system call

From: Bob Atkins <[email-masked]>
Date: Tue, 6 Oct 1998 13:02:11 -0700 (PDT)

Brian,

I too have been having problems with netatalk-1.4b2+asun2.1.0 and Solaris
2.6. I have been unable to get it to work under Phase 2 networking.

These are the messages that show up in the logs:

Oct  1 16:01:35 media atalkd[1814]: zip_getnetinfo for cnft0
Oct  1 16:01:47 media last message repeated 6 times
Oct  1 16:01:49 media atalkd[1814]: config for no router
Oct  1 16:01:51 media atalkd[1814]: setsockopt incompatible w/ Solaris STREAMS module.
Oct  1 16:01:52 media atalkd[1814]: rtmp_packet router has become available
Oct  1 16:01:52 media atalkd[1814]: zip_getnetinfo for cnft0
Oct  1 16:01:52 media last message repeated 1 time
Oct  1 16:01:55 media rdistd[1883]: media: startup for male
Oct  1 16:01:55 media atalkd[1814]: zip_getnetinfo for cnft0
Oct  1 16:02:28 media last message repeated 16 times
Oct  1 16:02:29 media atalkd[1814]: config for no router
Oct  1 16:02:31 media atalkd[1814]: setsockopt incompatible w/ Solaris STREAMS module.
Oct  1 16:02:32 media atalkd[1814]: rtmp_packet router has become available
Oct  1 16:02:32 media atalkd[1814]: zip_getnetinfo for cnft0
Oct  1 16:03:08 media last message repeated 18 times
	:	:		:

You will need to configure your syslogd for daemon.debug to see these
messages. I don't even see the server in the chooser. I suspect that
you are running on a sparc platform. My guess is that the sparc platform
is more tolerant of the particular problem that is stopping my x86
platform from even setting up multicast. But I suspect that you are
suffering from the same problem just at a different point.

---
Bob Atkins

> 
> Been trying to track down the problem I have been getting
> using netatalk-1.4b2+asun2.1.0 and the solaris kernel
> driver that comes with it (netatalk-971027).  I do know it is
> getting far enough to authenticate since it only dies if a correct
> password is given to the chooser. The message that is showing
> up in syslog is:
> 
> Oct  6 13:58:34 editorial afpd[204]: dsi_getsess: Interrupted system call
> 
> 
> Now the message is coming from file libatalk/dsi/dsi_getsess.c where 
> the lines are:
>  
>   switch (pid = dsi->proto_open(dsi)) {
>   case -1:
>     /* if we fail, just return. it might work later */
>     syslog(LOG_ERR, "dsi_getsess: %m");
>     return dsi;
> 
>   case 0: /* child. mostly handled below. */
>     dsi->child = 1;
>     break;
> 
> 
> Getzones is working so I know that the kernel driver must
> be working a bit. Even if afpd dies, getzones will continue
> to work. Afpd can restarted but it will die just as soon as anyone
> logs in with the right password.
> I am using Solaris 2.6 BTW.
> 
> 	thanks,
> 		-Brian 
> 
>